//========================================
// CozATM
//========================================
Class CozATM3 extends ATM;

#exec OBJ LOAD FILE="..\System\Cozmo_RPG_Pack.u"
#exec OBJ LOAD FILE="..\System\RPGMasterTest.u"

var DeusExPlayer AccountOwner[50];
var int AccountMoney[50];
var CozATM2 MasterATM;

function BeginPlay()
{
	if(tag == 'MasterATM')
	{
		SetTimer(5.0, true);
	}
}

function Timer()
{
	local int i;

	for (i=1; i<50; i++)
	{
		if(AccountMoney[i] > 0)
		{
			if(AccountOwner[i] == None)
			{
				AccountMoney[i] = 0;
			}
		}
	}
}

function Frob(Actor Frobber, Inventory frobWith)
{
	local int k;
	local int i;
	local CozCreditCard ccc;
	local CozATM2 CATM;

	if(MasterATM == None)
	{
		foreach AllActors(class'CozATM2',CATM)
		{
			if(CATM.Tag == 'MasterATM')
			{
				MasterATM = CATM;
			}
		}
	}

	for (i=1; i<50; i++)
	{
		if(MasterATM.AccountOwner[i] == DeusExPlayer(Frobber))
		{
			foreach AllActors(class'CozCreditCard',ccc)
			{
				if(ccc.Owner == DeusExPlayer(Frobber))
				{
					if(ccc.bDeposit == True)
					{
						if(DeusExPlayer(Frobber).Credits >= ccc.mode)
						{
							DeusExPlayer(Frobber).Credits -= ccc.mode;
							MasterATM.AccountMoney[i] += ccc.Mode;
							DeusExPlayer(Frobber).ClientMessage("|p7You just deposited "$ccc.mode$" credits. "$MasterATM.AccountMoney[i]$" credits in account.");
							return;
						}
						else
						{
							DeusExPlayer(Frobber).ClientMessage("|p2 You don't have "$ccc.mode$" credits to deposit!");
							return;
						}
					}
					else
					{
						if(MasterATM.AccountMoney[i] >= ccc.mode)
						{
							DeusExPlayer(Frobber).Credits += ccc.mode;
							MasterATM.AccountMoney[i] -= ccc.mode;
							DeusExPlayer(Frobber).ClientMessage("|p7You have just withdrawn "$ccc.mode$" credits. "$MasterATM.AccountMoney[i]$" credits in account.");
							return;
						}
						else
						{
							DeusExPlayer(Frobber).ClientMessage("|p2 You don't have "$ccc.mode$" credits in your account!");
							return;
						}

					}
				}
			}
		}
	}

	for (k=1; k<50; k++)
	{
		if(MasterATM.AccountOwner[k] == none)
		{
			MasterATM.AccountOwner[k] = DeusExPlayer(Frobber);
			DeusExPlayer(Frobber).ClientMessage("|p7 You don't have an account. A new one was created for you.");
			return;
		}
	}
}

defaultproperties
{
}
